package v2

import (
	"encoding/json"

	"github.com/kubescape/opa-utils/reporthandling"
)

var ResourcesListMock = `[{"resourceID":"/v1/kube-system/Pod/kube-apiserver-david-virtualbox","object":{"apiVersion":"v1","kind":"Pod","metadata":{"annotations":{"kubeadm.kubernetes.io/kube-apiserver.advertise-address.endpoint":"10.0.2.15:8443","kubernetes.io/config.hash":"3ca3df49606db9ca56feabb534c7ca1b","kubernetes.io/config.mirror":"3ca3df49606db9ca56feabb534c7ca1b","kubernetes.io/config.seen":"2021-11-18T10:32:33.974091617+02:00","kubernetes.io/config.source":"file","seccomp.security.alpha.kubernetes.io/pod":"runtime/default"},"creationTimestamp":"2021-11-18T08:32:47Z","labels":{"component":"kube-apiserver","tier":"control-plane"},"name":"kube-apiserver-david-virtualbox","namespace":"kube-system","ownerReferences":[{"apiVersion":"v1","controller":true,"kind":"Node","name":"david-virtualbox","uid":"69e6d94b-d5da-4f2e-8d22-b32c1e2788f0"}],"resourceVersion":"468395","uid":"19a8dd22-bc31-44c2-8e84-f4eb84ad8f9f"},"spec":{"containers":[{"name":"kube-apiserver","image":"k8s.gcr.io/kube-apiserver:v1.22.2","command":["kube-apiserver","--advertise-address=10.0.2.15","--allow-privileged=true","--authorization-mode=Node,RBAC","--client-ca-file=/var/lib/minikube/certs/ca.crt","--enable-admission-plugins=NamespaceLifecycle,LimitRanger,ServiceAccount,DefaultStorageClass,DefaultTolerationSeconds,NodeRestriction,MutatingAdmissionWebhook,ValidatingAdmissionWebhook,ResourceQuota","--enable-bootstrap-token-auth=true","--etcd-cafile=/var/lib/minikube/certs/etcd/ca.crt","--etcd-certfile=/var/lib/minikube/certs/apiserver-etcd-client.crt","--etcd-keyfile=/var/lib/minikube/certs/apiserver-etcd-client.key","--etcd-servers=https://127.0.0.1:2379","--kubelet-client-certificate=/var/lib/minikube/certs/apiserver-kubelet-client.crt","--kubelet-client-key=/var/lib/minikube/certs/apiserver-kubelet-client.key","--kubelet-preferred-address-types=InternalIP,ExternalIP,Hostname","--proxy-client-cert-file=/var/lib/minikube/certs/front-proxy-client.crt","--proxy-client-key-file=/var/lib/minikube/certs/front-proxy-client.key","--requestheader-allowed-names=front-proxy-client","--requestheader-client-ca-file=/var/lib/minikube/certs/front-proxy-ca.crt","--requestheader-extra-headers-prefix=X-Remote-Extra-","--requestheader-group-headers=X-Remote-Group","--requestheader-username-headers=X-Remote-User","--secure-port=8443","--service-account-issuer=https://kubernetes.default.svc.cluster.local","--service-account-key-file=/var/lib/minikube/certs/sa.pub","--service-account-signing-key-file=/var/lib/minikube/certs/sa.key","--service-cluster-ip-range=10.96.0.0/12","--tls-cert-file=/var/lib/minikube/certs/apiserver.crt","--tls-private-key-file=/var/lib/minikube/certs/apiserver.key"],"resources":{"requests":{"cpu":"250m"}},"volumeMounts":[{"name":"ca-certs","readOnly":true,"mountPath":"/etc/ssl/certs"},{"name":"etc-ca-certificates","readOnly":true,"mountPath":"/etc/ca-certificates"},{"name":"etc-pki","readOnly":true,"mountPath":"/etc/pki"},{"name":"k8s-certs","readOnly":true,"mountPath":"/var/lib/minikube/certs"},{"name":"usr-local-share-ca-certificates","readOnly":true,"mountPath":"/usr/local/share/ca-certificates"},{"name":"usr-share-ca-certificates","readOnly":true,"mountPath":"/usr/share/ca-certificates"}],"livenessProbe":{"httpGet":{"path":"/livez","port":8443,"host":"10.0.2.15","scheme":"HTTPS"},"initialDelaySeconds":10,"timeoutSeconds":15,"periodSeconds":10,"successThreshold":1,"failureThreshold":8},"readinessProbe":{"httpGet":{"path":"/readyz","port":8443,"host":"10.0.2.15","scheme":"HTTPS"},"timeoutSeconds":15,"periodSeconds":1,"successThreshold":1,"failureThreshold":3},"startupProbe":{"httpGet":{"path":"/livez","port":8443,"host":"10.0.2.15","scheme":"HTTPS"},"initialDelaySeconds":10,"timeoutSeconds":15,"periodSeconds":10,"successThreshold":1,"failureThreshold":24},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"IfNotPresent"}],"dnsPolicy":"ClusterFirst","enableServiceLinks":true,"hostNetwork":true,"nodeName":"david-virtualbox","preemptionPolicy":"PreemptLowerPriority","priority":2000001000,"priorityClassName":"system-node-critical","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{"seccompProfile":{"type":"RuntimeDefault"}},"terminationGracePeriodSeconds":30,"tolerations":[{"effect":"NoExecute","operator":"Exists"}],"volumes":[{"hostPath":{"path":"/etc/ssl/certs","type":"DirectoryOrCreate"},"name":"ca-certs"},{"hostPath":{"path":"/etc/ca-certificates","type":"DirectoryOrCreate"},"name":"etc-ca-certificates"},{"hostPath":{"path":"/etc/pki","type":"DirectoryOrCreate"},"name":"etc-pki"},{"hostPath":{"path":"/var/lib/minikube/certs","type":"DirectoryOrCreate"},"name":"k8s-certs"},{"hostPath":{"path":"/usr/local/share/ca-certificates","type":"DirectoryOrCreate"},"name":"usr-local-share-ca-certificates"},{"hostPath":{"path":"/usr/share/ca-certificates","type":"DirectoryOrCreate"},"name":"usr-share-ca-certificates"}]},"status":{"conditions":[{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:10Z","status":"True","type":"Initialized"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:22Z","status":"True","type":"Ready"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:22Z","status":"True","type":"ContainersReady"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:10Z","status":"True","type":"PodScheduled"}],"containerStatuses":[{"containerID":"docker://5ce1fc07c7d1e001ad5b73c2aa5654d0cc186da95052d9c46dc154821ad69e96","image":"k8s.gcr.io/kube-apiserver:v1.22.2","imageID":"docker-pullable://k8s.gcr.io/kube-apiserver@sha256:eb4fae890583e8d4449c1e18b097aec5574c25c8f0323369a2df871ffa146f41","lastState":{"terminated":{"containerID":"docker://c25a717dd76c103b839bc4f9c471bc79291acf8949daac9541b231c5dbeb25d2","exitCode":0,"finishedAt":"2021-12-13T06:10:57Z","reason":"Completed","startedAt":"2021-12-12T08:30:19Z"}},"name":"kube-apiserver","ready":true,"restartCount":8,"started":true,"state":{"running":{"startedAt":"2021-12-13T06:14:12Z"}}}],"hostIP":"10.0.2.15","phase":"Running","podIP":"10.0.2.15","podIPs":[{"ip":"10.0.2.15"}],"qosClass":"Burstable","startTime":"2021-12-13T06:14:10Z"}}},{"resourceID":"apps/v1/armo-system/Deployment/armo-vuln-scan","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1","meta.helm.sh/release-name":"armo","meta.helm.sh/release-namespace":"armo-system"},"creationTimestamp":"2021-12-09T13:25:00Z","generation":1,"labels":{"app":"armo-vuln-scan","app.kubernetes.io/managed-by":"Helm","tier":"armo-system-control-plane"},"name":"armo-vuln-scan","namespace":"armo-system","resourceVersion":"468575","uid":"3156262f-5f54-4fd6-b94e-58e7b892ba77"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app.kubernetes.io/instance":"armo","app.kubernetes.io/name":"armo-vuln-scan","tier":"armo-system-control-plane"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"armo-vuln-scan","app.kubernetes.io/instance":"armo","app.kubernetes.io/name":"armo-vuln-scan","tier":"armo-system-control-plane"}},"spec":{"containers":[{"name":"armo-vuln-scan","image":"quay.io/armosec/k8s-ca-vuln-scan-ubi:latest","args":["-alsologtostderr","-v=4","2\u003e\u00261"],"ports":[{"name":"vuln-scan-port","containerPort":8080,"protocol":"TCP"}],"env":[{"name":"CA_CLUSTER_NAME","value":"XXXXXX"},{"name":"CA_CUSTOMER_GUID","value":"XXXXXX"},{"name":"OCIMAGE_URL","value":"XXXXXX"},{"name":"EVENT_RECEIVER_URL","value":"XXXXXX"},{"name":"CA_EVENT_RECEIVER_HTTP","value":"XXXXXX"},{"name":"CA_MAX_VULN_SCAN_ROUTINS","value":"XXXXXX"}],"resources":{"limits":{"cpu":"1500m","memory":"1000Mi"},"requests":{"cpu":"300m","memory":"200Mi"}},"volumeMounts":[{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"armo-scanner-service-account","serviceAccountName":"armo-scanner-service-account","terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-12-09T13:25:00Z","lastUpdateTime":"2021-12-09T13:25:04Z","message":"ReplicaSet \"armo-vuln-scan-857484fcb\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T06:14:39Z","lastUpdateTime":"2021-12-13T06:14:39Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/cyberarmor-system/Deployment/ca-audit","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-22T11:39:10Z","generation":1,"labels":{"app":"ca-audit","tier":"cyberarmor-system-control-plane"},"name":"ca-audit","namespace":"cyberarmor-system","resourceVersion":"468530","uid":"3cab6b35-2c22-4f07-98aa-bd49735fa12b"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"ca-audit"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"ca-audit","tier":"cyberarmor-system-control-plane"}},"spec":{"containers":[{"name":"ca-audit","image":"quay.io/armosec/k8s-ca-auditlog-ubi:latest","args":["-alsologtostderr","-v=4","2\u003e\u00261"],"ports":[{"name":"ca-audit-port","containerPort":443,"protocol":"TCP"}],"env":[{"name":"CA_CLUSTER_NAME","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"clusterName"}}},{"name":"CA_CUSTOMER_GUID","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"customerGUID"}}},{"name":"CA_K8S_REPORT_URL","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverWS"}}},{"name":"CA_EVENT_RECEIVER_HTTP","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverREST"}}},{"name":"CA_CONFIG_FILES","value":"XXXXXX"},{"name":"CA_SERVER_TYPE","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"ca-audit","key":"cluster_kind"}}}],"resources":{"limits":{"cpu":"50m","memory":"100Mi"},"requests":{"cpu":"10m","memory":"50Mi"}},"volumeMounts":[{"name":"ca-audit","readOnly":true,"mountPath":"/config"},{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"ca-audit","serviceAccountName":"ca-audit","terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":420,"items":[{"key":"config","path":"config.json"}],"name":"ca-audit"},"name":"ca-audit"},{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-22T11:39:10Z","lastUpdateTime":"2021-11-22T11:40:26Z","message":"ReplicaSet \"ca-audit-644dccb557\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T06:14:36Z","lastUpdateTime":"2021-12-13T06:14:36Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"/v1/kube-system/Pod/kube-controller-manager-david-virtualbox","object":{"apiVersion":"v1","kind":"Pod","metadata":{"annotations":{"kubernetes.io/config.hash":"5ed2010eb0bd12cee28ded1942107cd6","kubernetes.io/config.mirror":"5ed2010eb0bd12cee28ded1942107cd6","kubernetes.io/config.seen":"2021-11-18T10:32:33.974092626+02:00","kubernetes.io/config.source":"file","seccomp.security.alpha.kubernetes.io/pod":"runtime/default"},"creationTimestamp":"2021-11-18T08:32:46Z","labels":{"component":"kube-controller-manager","tier":"control-plane"},"name":"kube-controller-manager-david-virtualbox","namespace":"kube-system","ownerReferences":[{"apiVersion":"v1","controller":true,"kind":"Node","name":"david-virtualbox","uid":"69e6d94b-d5da-4f2e-8d22-b32c1e2788f0"}],"resourceVersion":"468370","uid":"d2e5ba27-a601-49f2-b70b-5c6a8abc22c6"},"spec":{"containers":[{"name":"kube-controller-manager","image":"k8s.gcr.io/kube-controller-manager:v1.22.2","command":["kube-controller-manager","--allocate-node-cidrs=true","--authentication-kubeconfig=/etc/kubernetes/controller-manager.conf","--authorization-kubeconfig=/etc/kubernetes/controller-manager.conf","--bind-address=127.0.0.1","--client-ca-file=/var/lib/minikube/certs/ca.crt","--cluster-cidr=10.244.0.0/16","--cluster-name=mk","--cluster-signing-cert-file=/var/lib/minikube/certs/ca.crt","--cluster-signing-key-file=/var/lib/minikube/certs/ca.key","--controllers=*,bootstrapsigner,tokencleaner","--kubeconfig=/etc/kubernetes/controller-manager.conf","--leader-elect=false","--port=0","--requestheader-client-ca-file=/var/lib/minikube/certs/front-proxy-ca.crt","--root-ca-file=/var/lib/minikube/certs/ca.crt","--service-account-private-key-file=/var/lib/minikube/certs/sa.key","--service-cluster-ip-range=10.96.0.0/12","--use-service-account-credentials=true"],"resources":{"requests":{"cpu":"200m"}},"volumeMounts":[{"name":"ca-certs","readOnly":true,"mountPath":"/etc/ssl/certs"},{"name":"etc-ca-certificates","readOnly":true,"mountPath":"/etc/ca-certificates"},{"name":"etc-pki","readOnly":true,"mountPath":"/etc/pki"},{"name":"flexvolume-dir","mountPath":"/usr/libexec/kubernetes/kubelet-plugins/volume/exec"},{"name":"k8s-certs","readOnly":true,"mountPath":"/var/lib/minikube/certs"},{"name":"kubeconfig","readOnly":true,"mountPath":"/etc/kubernetes/controller-manager.conf"},{"name":"usr-local-share-ca-certificates","readOnly":true,"mountPath":"/usr/local/share/ca-certificates"},{"name":"usr-share-ca-certificates","readOnly":true,"mountPath":"/usr/share/ca-certificates"}],"livenessProbe":{"httpGet":{"path":"/healthz","port":10257,"host":"127.0.0.1","scheme":"HTTPS"},"initialDelaySeconds":10,"timeoutSeconds":15,"periodSeconds":10,"successThreshold":1,"failureThreshold":8},"startupProbe":{"httpGet":{"path":"/healthz","port":10257,"host":"127.0.0.1","scheme":"HTTPS"},"initialDelaySeconds":10,"timeoutSeconds":15,"periodSeconds":10,"successThreshold":1,"failureThreshold":24},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"IfNotPresent"}],"dnsPolicy":"ClusterFirst","enableServiceLinks":true,"hostNetwork":true,"nodeName":"david-virtualbox","preemptionPolicy":"PreemptLowerPriority","priority":2000001000,"priorityClassName":"system-node-critical","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{"seccompProfile":{"type":"RuntimeDefault"}},"terminationGracePeriodSeconds":30,"tolerations":[{"effect":"NoExecute","operator":"Exists"}],"volumes":[{"hostPath":{"path":"/etc/ssl/certs","type":"DirectoryOrCreate"},"name":"ca-certs"},{"hostPath":{"path":"/etc/ca-certificates","type":"DirectoryOrCreate"},"name":"etc-ca-certificates"},{"hostPath":{"path":"/etc/pki","type":"DirectoryOrCreate"},"name":"etc-pki"},{"hostPath":{"path":"/usr/libexec/kubernetes/kubelet-plugins/volume/exec","type":"DirectoryOrCreate"},"name":"flexvolume-dir"},{"hostPath":{"path":"/var/lib/minikube/certs","type":"DirectoryOrCreate"},"name":"k8s-certs"},{"hostPath":{"path":"/etc/kubernetes/controller-manager.conf","type":"FileOrCreate"},"name":"kubeconfig"},{"hostPath":{"path":"/usr/local/share/ca-certificates","type":"DirectoryOrCreate"},"name":"usr-local-share-ca-certificates"},{"hostPath":{"path":"/usr/share/ca-certificates","type":"DirectoryOrCreate"},"name":"usr-share-ca-certificates"}]},"status":{"conditions":[{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:11Z","status":"True","type":"Initialized"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:22Z","status":"True","type":"Ready"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:22Z","status":"True","type":"ContainersReady"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:11Z","status":"True","type":"PodScheduled"}],"containerStatuses":[{"containerID":"docker://b38217252b69b650a6b9234a6eb333cfe29a544ae8d00bf688e3683e9db507c2","image":"k8s.gcr.io/kube-controller-manager:v1.22.2","imageID":"docker-pullable://k8s.gcr.io/kube-controller-manager@sha256:91ccb477199cdb4c63fb0c8fcc39517a186505daf4ed52229904e6f9d09fd6f9","lastState":{"terminated":{"containerID":"docker://c395221dc4b4ac044164992f60532007fa2a344b17007812bcd000ec1f11e828","exitCode":2,"finishedAt":"2021-12-13T06:10:56Z","reason":"Error","startedAt":"2021-12-12T08:30:19Z"}},"name":"kube-controller-manager","ready":true,"restartCount":9,"started":true,"state":{"running":{"startedAt":"2021-12-13T06:14:12Z"}}}],"hostIP":"10.0.2.15","phase":"Running","podIP":"10.0.2.15","podIPs":[{"ip":"10.0.2.15"}],"qosClass":"Burstable","startTime":"2021-12-13T06:14:11Z"}}},{"resourceID":"/v1/kube-system/Pod/kube-scheduler-david-virtualbox","object":{"apiVersion":"v1","kind":"Pod","metadata":{"annotations":{"kubernetes.io/config.hash":"9efa89a53b14ef554638f0ce1c76aa07","kubernetes.io/config.mirror":"9efa89a53b14ef554638f0ce1c76aa07","kubernetes.io/config.seen":"2021-11-18T10:32:50.700654223+02:00","kubernetes.io/config.source":"file","seccomp.security.alpha.kubernetes.io/pod":"runtime/default"},"creationTimestamp":"2021-11-18T08:32:51Z","labels":{"component":"kube-scheduler","tier":"control-plane"},"name":"kube-scheduler-david-virtualbox","namespace":"kube-system","ownerReferences":[{"apiVersion":"v1","controller":true,"kind":"Node","name":"david-virtualbox","uid":"69e6d94b-d5da-4f2e-8d22-b32c1e2788f0"}],"resourceVersion":"468511","uid":"635a8be1-5d12-4e1c-ad8e-bed68402067f"},"spec":{"containers":[{"name":"kube-scheduler","image":"k8s.gcr.io/kube-scheduler:v1.22.2","command":["kube-scheduler","--authentication-kubeconfig=/etc/kubernetes/scheduler.conf","--authorization-kubeconfig=/etc/kubernetes/scheduler.conf","--bind-address=127.0.0.1","--kubeconfig=/etc/kubernetes/scheduler.conf","--leader-elect=false","--port=0"],"resources":{"requests":{"cpu":"100m"}},"volumeMounts":[{"name":"kubeconfig","readOnly":true,"mountPath":"/etc/kubernetes/scheduler.conf"}],"livenessProbe":{"httpGet":{"path":"/healthz","port":10259,"host":"127.0.0.1","scheme":"HTTPS"},"initialDelaySeconds":10,"timeoutSeconds":15,"periodSeconds":10,"successThreshold":1,"failureThreshold":8},"startupProbe":{"httpGet":{"path":"/healthz","port":10259,"host":"127.0.0.1","scheme":"HTTPS"},"initialDelaySeconds":10,"timeoutSeconds":15,"periodSeconds":10,"successThreshold":1,"failureThreshold":24},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"IfNotPresent"}],"dnsPolicy":"ClusterFirst","enableServiceLinks":true,"hostNetwork":true,"nodeName":"david-virtualbox","preemptionPolicy":"PreemptLowerPriority","priority":2000001000,"priorityClassName":"system-node-critical","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{"seccompProfile":{"type":"RuntimeDefault"}},"terminationGracePeriodSeconds":30,"tolerations":[{"effect":"NoExecute","operator":"Exists"}],"volumes":[{"hostPath":{"path":"/etc/kubernetes/scheduler.conf","type":"FileOrCreate"},"name":"kubeconfig"}]},"status":{"conditions":[{"lastProbeTime":null,"lastTransitionTime":"2021-12-12T08:30:18Z","status":"True","type":"Initialized"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:26Z","status":"True","type":"Ready"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:26Z","status":"True","type":"ContainersReady"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-12T08:30:18Z","status":"True","type":"PodScheduled"}],"containerStatuses":[{"containerID":"docker://47399139c3518bb0f2e19fe7f8279df78e132b48acdeceffe80de3a54eac9004","image":"k8s.gcr.io/kube-scheduler:v1.22.2","imageID":"docker-pullable://k8s.gcr.io/kube-scheduler@sha256:c76cb73debd5e37fe7ad42cea9a67e0bfdd51dd56be7b90bdc50dd1bc03c018b","lastState":{"terminated":{"containerID":"docker://9c33a8f1af1974dfeb34eea88ea6d49a345240f097b7401c925b44a7fe11813c","exitCode":137,"finishedAt":"2021-12-13T06:11:06Z","reason":"Error","startedAt":"2021-12-12T08:30:19Z"}},"name":"kube-scheduler","ready":true,"restartCount":8,"started":true,"state":{"running":{"startedAt":"2021-12-13T06:14:12Z"}}}],"hostIP":"10.0.2.15","phase":"Running","podIP":"10.0.2.15","podIPs":[{"ip":"10.0.2.15"}],"qosClass":"Burstable","startTime":"2021-12-12T08:30:18Z"}}},{"resourceID":"/v1/kube-system/Pod/storage-provisioner","object":{"apiVersion":"v1","kind":"Pod","metadata":{"annotations":{},"creationTimestamp":"2021-11-18T08:32:52Z","labels":{"addonmanager.kubernetes.io/mode":"Reconcile","integration-test":"storage-provisioner"},"name":"storage-provisioner","namespace":"kube-system","resourceVersion":"468650","uid":"0565cb7d-c4c0-439f-88f9-f73666de22a5"},"spec":{"containers":[{"name":"storage-provisioner","image":"gcr.io/k8s-minikube/storage-provisioner:v5","command":["/storage-provisioner"],"resources":{},"volumeMounts":[{"name":"tmp","mountPath":"/tmp"},{"name":"kube-api-access-ks2dw","readOnly":true,"mountPath":"/var/run/secrets/kubernetes.io/serviceaccount"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"IfNotPresent"}],"dnsPolicy":"ClusterFirst","enableServiceLinks":true,"hostNetwork":true,"nodeName":"david-virtualbox","preemptionPolicy":"PreemptLowerPriority","priority":0,"restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"storage-provisioner","serviceAccountName":"storage-provisioner","terminationGracePeriodSeconds":30,"tolerations":[{"effect":"NoExecute","key":"node.kubernetes.io/not-ready","operator":"Exists","tolerationSeconds":300},{"effect":"NoExecute","key":"node.kubernetes.io/unreachable","operator":"Exists","tolerationSeconds":300}],"volumes":[{"hostPath":{"path":"/tmp","type":"Directory"},"name":"tmp"},{"name":"kube-api-access-ks2dw","projected":{"defaultMode":420,"sources":[{"serviceAccountToken":{"expirationSeconds":3607,"path":"token"}},{"configMap":{"items":[{"key":"ca.crt","path":"ca.crt"}],"name":"kube-root-ca.crt"}},{"downwardAPI":{"items":[{"fieldRef":{"apiVersion":"v1","fieldPath":"metadata.namespace"},"path":"namespace"}]}}]}}]},"status":{"conditions":[{"lastProbeTime":null,"lastTransitionTime":"2021-11-18T08:33:01Z","status":"True","type":"Initialized"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:15:09Z","status":"True","type":"Ready"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:15:09Z","status":"True","type":"ContainersReady"},{"lastProbeTime":null,"lastTransitionTime":"2021-11-18T08:33:01Z","status":"True","type":"PodScheduled"}],"containerStatuses":[{"containerID":"docker://844ebe72276e2440936526e9e0fc0bd5fceda26050b1a7db27b8cffd2e061834","image":"gcr.io/k8s-minikube/storage-provisioner:v5","imageID":"docker-pullable://gcr.io/k8s-minikube/storage-provisioner@sha256:18eb69d1418e854ad5a19e399310e52808a8321e4c441c1dddad8977a0d7a944","lastState":{"terminated":{"containerID":"docker://86629acf655fbaacab59b78c62353eb9d73986b380c28cd3d7f9fc3007ad696a","exitCode":1,"finishedAt":"2021-12-13T06:14:52Z","reason":"Error","startedAt":"2021-12-13T06:14:22Z"}},"name":"storage-provisioner","ready":true,"restartCount":12,"started":true,"state":{"running":{"startedAt":"2021-12-13T06:15:08Z"}}}],"hostIP":"10.0.2.15","phase":"Running","podIP":"10.0.2.15","podIPs":[{"ip":"10.0.2.15"}],"qosClass":"BestEffort","startTime":"2021-11-18T08:33:01Z"}}},{"resourceID":"apps/v1/cyberarmor-system/Deployment/ca-notification-server","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-22T11:39:11Z","generation":1,"labels":{"app":"ca-notification-server","tier":"cyberarmor-system-control-plane"},"name":"ca-notification-server","namespace":"cyberarmor-system","resourceVersion":"468553","uid":"af0c87e1-78eb-4610-bf52-016d171d2807"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"ca-notification-server"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"ca-notification-server","tier":"cyberarmor-system-control-plane"}},"spec":{"containers":[{"name":"ca-notification-server","image":"quay.io/armosec/notification-server-ubi:latest","args":["-alsologtostderr","-v=4","2\u003e\u00261"],"ports":[{"name":"websocket","containerPort":8001,"protocol":"TCP"},{"name":"rest-api","containerPort":8002,"protocol":"TCP"}],"env":[{"name":"CA_CLUSTER_NAME","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"clusterName"}}},{"name":"CA_CUSTOMER_GUID","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"customerGUID"}}},{"name":"CA_K8S_REPORT_URL","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverWS"}}},{"name":"MASTER_NOTIFICATION_SERVER_HOST","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"maserNotificationServer"}}},{"name":"MASTER_NOTIFICATION_SERVER_ATTRIBUTES","value":"XXXXXX"},{"name":"CA_NOTIFICATION_SERVER_WS_PORT","value":"XXXXXX"},{"name":"CA_NOTIFICATION_SERVER_PORT","value":"XXXXXX"}],"resources":{"limits":{"cpu":"100m","memory":"50Mi"},"requests":{"cpu":"10m","memory":"10Mi"}},"volumeMounts":[{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-22T11:39:11Z","lastUpdateTime":"2021-11-22T11:40:30Z","message":"ReplicaSet \"ca-notification-server-85b7787fbc\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T06:14:37Z","lastUpdateTime":"2021-12-13T06:14:37Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/cyberarmor-system/Deployment/ca-webhook","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-22T11:39:08Z","generation":1,"labels":{"app":"ca-webhook","tier":"cyberarmor-system-control-plane"},"name":"ca-webhook","namespace":"cyberarmor-system","resourceVersion":"468636","uid":"9255c28c-3c20-409e-a86f-e8828ea78ed5"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"ca-webhook"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"annotations":{"certificate":"affd778f0b460c8878a740bd8c6e5a56  ca.crt"},"creationTimestamp":null,"labels":{"app":"ca-webhook","tier":"cyberarmor-system-control-plane"}},"spec":{"containers":[{"name":"ca-webhook","image":"quay.io/armosec/k8s-ca-webhook-ubi:latest","args":["-tlsCertFile=/etc/webhook/certs/tls.crt","-tlsKeyFile=/etc/webhook/certs/tls.key","-alsologtostderr","-v=4","2\u003e\u00261"],"ports":[{"name":"mutating-port","containerPort":443,"protocol":"TCP"},{"name":"readiness-port","containerPort":8000,"protocol":"TCP"}],"env":[{"name":"CA_CLUSTER_NAME","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"clusterName"}}},{"name":"CA_CUSTOMER_GUID","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"customerGUID"}}},{"name":"CA_WEBHOOK_NAME","value":"XXXXXX"},{"name":"CA_WEBHOOK_PORT","value":"XXXXXX"},{"name":"CA_NAMESPACE","value":"XXXXXX","valueFrom":{"fieldRef":{"apiVersion":"v1","fieldPath":"metadata.namespace"}}},{"name":"CA_DASHBOARD_BACKEND","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"dashboard"}}},{"name":"CA_LOGIN_SECRET_NAME","value":"XXXXXX"},{"name":"CA_ORACLE_SERVER","value":"XXXXXX"},{"name":"CA_NOTIFICATION_SERVER","value":"XXXXXX"},{"name":"CA_OCIMAGE_URL","value":"XXXXXX"},{"name":"CA_USE_DOCKER","value":"XXXXXX"},{"name":"CA_K8S_REPORT_URL","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverWS"}}},{"name":"CA_EVENT_RECEIVER_HTTP","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverREST"}}}],"resources":{"limits":{"cpu":"1500m","memory":"600Mi"},"requests":{"cpu":"300m","memory":"100Mi"}},"volumeMounts":[{"name":"docker-socket-volume","mountPath":"/var/run/docker.sock"},{"name":"zip-download","mountPath":"/cazips"},{"name":"ca-cluster-certificate","readOnly":true,"mountPath":"/etc/webhook/certs"},{"name":"ca-login","readOnly":true,"mountPath":"/etc/credentials"},{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"readinessProbe":{"httpGet":{"path":"/v1/readiness","port":"readiness-port","scheme":"HTTP"},"initialDelaySeconds":10,"timeoutSeconds":1,"periodSeconds":5,"successThreshold":1,"failureThreshold":3},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"ca-controller-service-account","serviceAccountName":"ca-controller-service-account","terminationGracePeriodSeconds":30,"volumes":[{"hostPath":{"path":"/var/run/docker.sock","type":""},"name":"docker-socket-volume"},{"emptyDir":{},"name":"zip-download"},{"name":"ca-cluster-certificate","secret":{"defaultMode":420,"secretName":"ca-cluster-certificate"}},{"name":"ca-login","secret":{"defaultMode":420,"secretName":"ca-login"}},{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-22T11:39:08Z","lastUpdateTime":"2021-11-22T11:40:18Z","message":"ReplicaSet \"ca-webhook-7d6465cd64\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T06:15:05Z","lastUpdateTime":"2021-12-13T06:15:05Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/nginx-ingress/Deployment/nginx-ingress","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-25T22:42:11Z","generation":1,"labels":{"app":"nginx-ingress"},"name":"nginx-ingress","namespace":"nginx-ingress","resourceVersion":"468507","uid":"3e80b844-6d2f-412b-9e37-a13762416ba5"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"nginx-ingress"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"nginx-ingress","cyberarmor.removeSecurityHeaders":"true"}},"spec":{"containers":[{"name":"nginx-ingress","image":"k8s.gcr.io/ingress-nginx/controller:v0.46.0@sha256:52f0058bed0a17ab0fb35628ba97e8d52b5d32299fbc03cc0f6c7b9ff036b61a","ports":[{"containerPort":80,"protocol":"TCP"}],"env":[{"name":"POD_NAME","value":"XXXXXX","valueFrom":{"fieldRef":{"apiVersion":"v1","fieldPath":"metadata.name"}}},{"name":"POD_NAMESPACE","value":"XXXXXX","valueFrom":{"fieldRef":{"apiVersion":"v1","fieldPath":"metadata.namespace"}}}],"resources":{},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"IfNotPresent"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"nginx-ingress","serviceAccountName":"nginx-ingress","terminationGracePeriodSeconds":30}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-25T22:42:11Z","lastUpdateTime":"2021-11-25T22:42:13Z","message":"ReplicaSet \"nginx-ingress-58df6bf5ff\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T06:14:34Z","lastUpdateTime":"2021-12-13T06:14:34Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"batch/v1beta1/armo-system/CronJob/armo-kubescape","object":{"apiVersion":"batch/v1beta1","kind":"CronJob","metadata":{"annotations":{"meta.helm.sh/release-name":"armo","meta.helm.sh/release-namespace":"armo-system"},"creationTimestamp":"2021-12-09T13:25:00Z","generation":1,"labels":{"app":"armo-kubescape","app.kubernetes.io/managed-by":"Helm","tier":"armo-system-control-plane"},"name":"armo-kubescape","namespace":"armo-system","resourceVersion":"473077","uid":"9b1a0990-1b60-4d9f-bee5-e198f6934af5"},"spec":{"concurrencyPolicy":"Allow","failedJobsHistoryLimit":1,"jobTemplate":{"metadata":{"creationTimestamp":null},"spec":{"template":{"metadata":{"creationTimestamp":null},"spec":{"containers":[{"name":"kubescape","image":"quay.io/armosec/kubescape:latest","command":["/bin/sh","-c"],"args":["kubescape scan --submit --environment=dev"],"resources":{},"volumeMounts":[{"name":"kubescape-config-volume","mountPath":"/root/.kubescape/config.json","subPath":"config.json"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"IfNotPresent"}],"dnsPolicy":"ClusterFirst","restartPolicy":"OnFailure","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"armo-kubescape-service-account","serviceAccountName":"armo-kubescape-service-account","terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":420,"name":"armo-kubescape-config"},"name":"kubescape-config-volume"}]}}}},"schedule":"0 8 * * *","successfulJobsHistoryLimit":3,"suspend":false},"status":{"lastScheduleTime":"2021-12-13T08:00:00Z","lastSuccessfulTime":"2021-12-13T08:00:02Z"}}},{"resourceID":"apps/v1/cyberarmor-system/Deployment/ca-dashboard-aggregator","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-22T11:39:10Z","generation":1,"labels":{"app":"ca-dashboard-aggregator","tier":"cyberarmor-system-control-plane"},"name":"ca-dashboard-aggregator","namespace":"cyberarmor-system","resourceVersion":"514073","uid":"5beabe6a-ed83-44be-81e2-55dbe722aafb"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"ca-dashboard-aggregator"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"ca-dashboard-aggregator","tier":"cyberarmor-system-control-plane"}},"spec":{"containers":[{"name":"ca-dashboard-aggregator","image":"quay.io/armosec/k8s-ca-dashboard-aggregator-ubi:latest","args":["-configtype=1","-alsologtostderr","-v=4","2\u003e\u00261"],"env":[{"name":"CA_CLUSTER_NAME","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"clusterName"}}},{"name":"CA_CUSTOMER_GUID","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"customerGUID"}}},{"name":"CA_K8S_REPORT_URL","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverWS"}}}],"resources":{"limits":{"cpu":"200m","memory":"100Mi"},"requests":{"cpu":"10m","memory":"40Mi"}},"volumeMounts":[{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"ca-controller-service-account","serviceAccountName":"ca-controller-service-account","terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-22T11:39:10Z","lastUpdateTime":"2021-11-22T11:40:23Z","message":"ReplicaSet \"ca-dashboard-aggregator-c48476869\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-15T07:41:13Z","lastUpdateTime":"2021-12-15T07:41:13Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/cyberarmor-system/Deployment/ca-ocimage","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-22T11:39:10Z","generation":1,"labels":{"app":"ca-ocimage","tier":"cyberarmor-system-control-plane"},"name":"ca-ocimage","namespace":"cyberarmor-system","resourceVersion":"468563","uid":"b3d9ac3d-0534-4824-9555-52eb33bbfb4c"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"ca-ocimage"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"ca-ocimage","tier":"cyberarmor-system-control-plane"}},"spec":{"containers":[{"name":"ca-ocimage","image":"quay.io/armosec/k8s-ca-ocimage:latest","args":["-alsologtostderr","-v=4","2\u003e\u00261"],"ports":[{"name":"ca-ocimage-port","containerPort":8080,"protocol":"TCP"}],"env":[{"name":"CA_K8S_REPORT_URL","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverWS"}}}],"resources":{"limits":{"cpu":"1","memory":"1000Mi"},"requests":{"cpu":"10m","memory":"50Mi"}},"volumeMounts":[{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"ca-controller-service-account","serviceAccountName":"ca-controller-service-account","terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-22T11:39:10Z","lastUpdateTime":"2021-11-22T11:40:21Z","message":"ReplicaSet \"ca-ocimage-b596d666\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T06:14:38Z","lastUpdateTime":"2021-12-13T06:14:38Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/cyberarmor-system/Deployment/ca-rbac","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-22T11:39:09Z","generation":1,"labels":{"app":"ca-rbac","tier":"cyberarmor-system-control-plane"},"name":"ca-rbac","namespace":"cyberarmor-system","resourceVersion":"468523","uid":"1254b35d-b6bb-4915-89ea-da1b39525826"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"ca-rbac"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"ca-rbac","tier":"cyberarmor-system-control-plane"}},"spec":{"containers":[{"name":"ca-rbac","image":"quay.io/armosec/k8s-ca-rbac-scanner-ubi:latest","args":["-alsologtostderr","-v=4","2\u003e\u00261"],"env":[{"name":"CA_CLUSTER_NAME","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"clusterName"}}},{"name":"CA_CUSTOMER_GUID","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"customerGUID"}}},{"name":"CA_EVENT_RECEIVER_HTTP","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverREST"}}},{"name":"S3_BUCKET","value":"XXXXXX"},{"name":"AWS_REGION","value":"XXXXXX"},{"name":"AWS_ACCESS_KEY_ID","value":"XXXXXX","valueFrom":{"secretKeyRef":{"name":"ca-rbac","key":"keyid"}}},{"name":"AWS_SECRET_ACCESS_KEY","value":"XXXXXX","valueFrom":{"secretKeyRef":{"name":"ca-rbac","key":"keysecret"}}}],"resources":{"limits":{"cpu":"200m","memory":"400Mi"},"requests":{"cpu":"10m","memory":"200Mi"}},"volumeMounts":[{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"ca-controller-service-account","serviceAccountName":"ca-controller-service-account","terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-22T11:39:09Z","lastUpdateTime":"2021-11-22T11:40:12Z","message":"ReplicaSet \"ca-rbac-58dc84f45\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T06:14:35Z","lastUpdateTime":"2021-12-13T06:14:35Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/kube-system/Deployment/coredns","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-18T08:32:50Z","generation":2,"labels":{"k8s-app":"kube-dns"},"name":"coredns","namespace":"kube-system","resourceVersion":"468625","uid":"8302959d-04f2-4807-86b7-ea45046f280e"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"k8s-app":"kube-dns"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":1},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"k8s-app":"kube-dns"}},"spec":{"containers":[{"name":"coredns","image":"k8s.gcr.io/coredns/coredns:v1.8.4","args":["-conf","/etc/coredns/Corefile"],"ports":[{"name":"dns","containerPort":53,"protocol":"UDP"},{"name":"dns-tcp","containerPort":53,"protocol":"TCP"},{"name":"metrics","containerPort":9153,"protocol":"TCP"}],"resources":{"limits":{"memory":"170Mi"},"requests":{"cpu":"100m","memory":"70Mi"}},"volumeMounts":[{"name":"config-volume","readOnly":true,"mountPath":"/etc/coredns"}],"livenessProbe":{"httpGet":{"path":"/health","port":8080,"scheme":"HTTP"},"initialDelaySeconds":60,"timeoutSeconds":5,"periodSeconds":10,"successThreshold":1,"failureThreshold":5},"readinessProbe":{"httpGet":{"path":"/ready","port":8181,"scheme":"HTTP"},"timeoutSeconds":1,"periodSeconds":10,"successThreshold":1,"failureThreshold":3},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"IfNotPresent","securityContext":{"capabilities":{"add":["NET_BIND_SERVICE"],"drop":["all"]},"readOnlyRootFilesystem":true,"allowPrivilegeEscalation":false}}],"dnsPolicy":"Default","nodeSelector":{"kubernetes.io/os":"linux"},"priorityClassName":"system-cluster-critical","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"coredns","serviceAccountName":"coredns","terminationGracePeriodSeconds":30,"tolerations":[{"key":"CriticalAddonsOnly","operator":"Exists"},{"effect":"NoSchedule","key":"node-role.kubernetes.io/master"},{"effect":"NoSchedule","key":"node-role.kubernetes.io/control-plane"}],"volumes":[{"configMap":{"defaultMode":420,"items":[{"key":"Corefile","path":"Corefile"}],"name":"coredns"},"name":"config-volume"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-18T08:33:01Z","lastUpdateTime":"2021-11-18T08:33:01Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"},{"lastTransitionTime":"2021-11-18T08:33:01Z","lastUpdateTime":"2021-11-18T08:33:04Z","message":"ReplicaSet \"coredns-78fcd69978\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"}],"observedGeneration":2,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/kube-system/DaemonSet/kube-proxy","object":{"apiVersion":"apps/v1","kind":"DaemonSet","metadata":{"annotations":{"deprecated.daemonset.template.generation":"1"},"creationTimestamp":"2021-11-18T08:32:50Z","generation":1,"labels":{"k8s-app":"kube-proxy"},"name":"kube-proxy","namespace":"kube-system","resourceVersion":"468518","uid":"84ff2889-a5b0-4514-bc3e-9532dfdf0cd2"},"spec":{"revisionHistoryLimit":10,"selector":{"matchLabels":{"k8s-app":"kube-proxy"}},"template":{"metadata":{"creationTimestamp":null,"labels":{"k8s-app":"kube-proxy"}},"spec":{"containers":[{"name":"kube-proxy","image":"k8s.gcr.io/kube-proxy:v1.22.2","command":["/usr/local/bin/kube-proxy","--config=/var/lib/kube-proxy/config.conf","--hostname-override=$(NODE_NAME)"],"env":[{"name":"NODE_NAME","value":"XXXXXX","valueFrom":{"fieldRef":{"apiVersion":"v1","fieldPath":"spec.nodeName"}}}],"resources":{},"volumeMounts":[{"name":"kube-proxy","mountPath":"/var/lib/kube-proxy"},{"name":"xtables-lock","mountPath":"/run/xtables.lock"},{"name":"lib-modules","readOnly":true,"mountPath":"/lib/modules"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"IfNotPresent","securityContext":{"privileged":true}}],"dnsPolicy":"ClusterFirst","hostNetwork":true,"nodeSelector":{"kubernetes.io/os":"linux"},"priorityClassName":"system-node-critical","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"kube-proxy","serviceAccountName":"kube-proxy","terminationGracePeriodSeconds":30,"tolerations":[{"operator":"Exists"}],"volumes":[{"configMap":{"defaultMode":420,"name":"kube-proxy"},"name":"kube-proxy"},{"hostPath":{"path":"/run/xtables.lock","type":"FileOrCreate"},"name":"xtables-lock"},{"hostPath":{"path":"/lib/modules","type":""},"name":"lib-modules"}]}},"updateStrategy":{"rollingUpdate":{"maxSurge":0,"maxUnavailable":1},"type":"RollingUpdate"}},"status":{"currentNumberScheduled":1,"desiredNumberScheduled":1,"numberAvailable":1,"numberMisscheduled":0,"numberReady":1,"observedGeneration":1,"updatedNumberScheduled":1}}},{"resourceID":"batch/v1beta1/armo-system/CronJob/armo-scan-scheduler","object":{"apiVersion":"batch/v1beta1","kind":"CronJob","metadata":{"annotations":{"meta.helm.sh/release-name":"armo","meta.helm.sh/release-namespace":"armo-system"},"creationTimestamp":"2021-12-09T13:25:00Z","generation":1,"labels":{"app":"armo-scan-scheduler","app.kubernetes.io/managed-by":"Helm","tier":"armo-system-control-plane"},"name":"armo-scan-scheduler","namespace":"armo-system","resourceVersion":"513731","uid":"6710f253-e01d-4536-b796-30eeed037f05"},"spec":{"concurrencyPolicy":"Allow","failedJobsHistoryLimit":1,"jobTemplate":{"metadata":{"creationTimestamp":null},"spec":{"template":{"metadata":{"creationTimestamp":null},"spec":{"containers":[{"name":"armo-scan-scheduler","image":"curlimages/curl:latest","command":["/bin/sh","-c"],"args":["echo Starting; ls -ltr /home/curl_user/; /bin/sh -x ./home/curl_user/trigger-script.sh; sleep 30; echo Done;"],"resources":{},"volumeMounts":[{"name":"armo-scan-scheduler-volume","readOnly":true,"mountPath":"/home/curl_user/trigger-script.sh","subPath":"trigger-script.sh"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"IfNotPresent"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Never","schedulerName":"default-scheduler","securityContext":{},"terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":511,"name":"armo-scan-scheduler-config"},"name":"armo-scan-scheduler-volume"}]}}}},"schedule":"0 0 * * *","successfulJobsHistoryLimit":3,"suspend":false},"status":{"lastScheduleTime":"2021-12-14T00:00:00Z","lastSuccessfulTime":"2021-12-14T18:04:10Z"}}},{"resourceID":"/v1/kube-system/Pod/etcd-david-virtualbox","object":{"apiVersion":"v1","kind":"Pod","metadata":{"annotations":{"kubeadm.kubernetes.io/etcd.advertise-client-urls":"https://10.0.2.15:2379","kubernetes.io/config.hash":"d7ca759722631c1234a04e6636031891","kubernetes.io/config.mirror":"d7ca759722631c1234a04e6636031891","kubernetes.io/config.seen":"2021-11-18T10:32:50.700655662+02:00","kubernetes.io/config.source":"file","seccomp.security.alpha.kubernetes.io/pod":"runtime/default"},"creationTimestamp":"2021-11-18T08:32:51Z","labels":{"component":"etcd","tier":"control-plane"},"name":"etcd-david-virtualbox","namespace":"kube-system","ownerReferences":[{"apiVersion":"v1","controller":true,"kind":"Node","name":"david-virtualbox","uid":"69e6d94b-d5da-4f2e-8d22-b32c1e2788f0"}],"resourceVersion":"468418","uid":"875966b8-bc94-4323-bd8c-340475fe059f"},"spec":{"containers":[{"name":"etcd","image":"k8s.gcr.io/etcd:3.5.0-0","command":["etcd","--advertise-client-urls=https://10.0.2.15:2379","--cert-file=/var/lib/minikube/certs/etcd/server.crt","--client-cert-auth=true","--data-dir=/var/lib/minikube/etcd","--initial-advertise-peer-urls=https://10.0.2.15:2380","--initial-cluster=david-virtualbox=https://10.0.2.15:2380","--key-file=/var/lib/minikube/certs/etcd/server.key","--listen-client-urls=https://127.0.0.1:2379,https://10.0.2.15:2379","--listen-metrics-urls=http://127.0.0.1:2381","--listen-peer-urls=https://10.0.2.15:2380","--name=david-virtualbox","--peer-cert-file=/var/lib/minikube/certs/etcd/peer.crt","--peer-client-cert-auth=true","--peer-key-file=/var/lib/minikube/certs/etcd/peer.key","--peer-trusted-ca-file=/var/lib/minikube/certs/etcd/ca.crt","--proxy-refresh-interval=70000","--snapshot-count=10000","--trusted-ca-file=/var/lib/minikube/certs/etcd/ca.crt"],"resources":{"requests":{"cpu":"100m","memory":"100Mi"}},"volumeMounts":[{"name":"etcd-data","mountPath":"/var/lib/minikube/etcd"},{"name":"etcd-certs","mountPath":"/var/lib/minikube/certs/etcd"}],"livenessProbe":{"httpGet":{"path":"/health","port":2381,"host":"127.0.0.1","scheme":"HTTP"},"initialDelaySeconds":10,"timeoutSeconds":15,"periodSeconds":10,"successThreshold":1,"failureThreshold":8},"startupProbe":{"httpGet":{"path":"/health","port":2381,"host":"127.0.0.1","scheme":"HTTP"},"initialDelaySeconds":10,"timeoutSeconds":15,"periodSeconds":10,"successThreshold":1,"failureThreshold":24},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"IfNotPresent"}],"dnsPolicy":"ClusterFirst","enableServiceLinks":true,"hostNetwork":true,"nodeName":"david-virtualbox","preemptionPolicy":"PreemptLowerPriority","priority":2000001000,"priorityClassName":"system-node-critical","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{"seccompProfile":{"type":"RuntimeDefault"}},"terminationGracePeriodSeconds":30,"tolerations":[{"effect":"NoExecute","operator":"Exists"}],"volumes":[{"hostPath":{"path":"/var/lib/minikube/certs/etcd","type":"DirectoryOrCreate"},"name":"etcd-certs"},{"hostPath":{"path":"/var/lib/minikube/etcd","type":"DirectoryOrCreate"},"name":"etcd-data"}]},"status":{"conditions":[{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:10Z","status":"True","type":"Initialized"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:24Z","status":"True","type":"Ready"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:24Z","status":"True","type":"ContainersReady"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:10Z","status":"True","type":"PodScheduled"}],"containerStatuses":[{"containerID":"docker://25d80aefd87698f437bfe5cb457eb018ec15901dd1f3b27b0736b8a04c40a633","image":"k8s.gcr.io/etcd:3.5.0-0","imageID":"docker-pullable://k8s.gcr.io/etcd@sha256:9ce33ba33d8e738a5b85ed50b5080ac746deceed4a7496c550927a7a19ca3b6d","lastState":{"terminated":{"containerID":"docker://0c134c06d3d567faa39604bc33a383bd24fe40504f78c728e58544c9c2243dae","exitCode":0,"finishedAt":"2021-12-13T06:10:56Z","reason":"Completed","startedAt":"2021-12-12T08:30:19Z"}},"name":"etcd","ready":true,"restartCount":8,"started":true,"state":{"running":{"startedAt":"2021-12-13T06:14:12Z"}}}],"hostIP":"10.0.2.15","phase":"Running","podIP":"10.0.2.15","podIPs":[{"ip":"10.0.2.15"}],"qosClass":"Burstable","startTime":"2021-12-13T06:14:10Z"}}},{"resourceID":"apps/v1/armo-system/Deployment/armo-web-socket","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1","meta.helm.sh/release-name":"armo","meta.helm.sh/release-namespace":"armo-system"},"creationTimestamp":"2021-12-09T13:25:00Z","generation":1,"labels":{"app":"armo-web-socket","app.kubernetes.io/managed-by":"Helm","tier":"armo-system-control-plane"},"name":"armo-web-socket","namespace":"armo-system","resourceVersion":"482754","uid":"e67188eb-ca85-472b-bad5-cf5a258f4120"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app.kubernetes.io/instance":"armo","app.kubernetes.io/name":"armo-web-socket","tier":"armo-system-control-plane"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"armo-web-socket","app.kubernetes.io/instance":"armo","app.kubernetes.io/name":"armo-web-socket","tier":"armo-system-control-plane"}},"spec":{"containers":[{"name":"armo-web-socket","image":"quay.io/armosec/k8s-ca-websocket-ubi:latest","args":["-alsologtostderr","-v=4","2\u003e\u00261"],"ports":[{"name":"trigger-port","containerPort":4002,"protocol":"TCP"},{"name":"readiness-port","containerPort":8000,"protocol":"TCP"}],"env":[{"name":"CA_NAMESPACE","value":"XXXXXX"},{"name":"CA_USE_DOCKER","value":"XXXXXX"},{"name":"CA_VULN_SCAN_SCHEDULE","value":"XXXXXX"},{"name":"CA_POSTURE_SCAN_SCHEDULE","value":"XXXXXX"},{"name":"CA_SYSTEM_MODE","value":"XXXXXX"}],"resources":{"limits":{"cpu":"100m","memory":"300Mi"},"requests":{"cpu":"50m","memory":"100Mi"}},"volumeMounts":[{"name":"docker-socket-volume","mountPath":"/var/run/docker.sock"},{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"readinessProbe":{"httpGet":{"path":"/v1/readiness","port":"readiness-port","scheme":"HTTP"},"initialDelaySeconds":10,"timeoutSeconds":1,"periodSeconds":5,"successThreshold":1,"failureThreshold":3},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"armo-scanner-service-account","serviceAccountName":"armo-scanner-service-account","terminationGracePeriodSeconds":30,"volumes":[{"hostPath":{"path":"/var/run/docker.sock","type":""},"name":"docker-socket-volume"},{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-12-09T13:25:00Z","lastUpdateTime":"2021-12-09T13:25:21Z","message":"ReplicaSet \"armo-web-socket-748c977d49\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T20:47:37Z","lastUpdateTime":"2021-12-13T20:47:37Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/cyberarmor-system/Deployment/ca-oracle","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-22T11:39:12Z","generation":1,"labels":{"app":"ca-oracle","tier":"cyberarmor-system-control-plane"},"name":"ca-oracle","namespace":"cyberarmor-system","resourceVersion":"468591","uid":"6486bfe5-7332-4a03-8bc1-1d23b712de18"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"ca-oracle"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"ca-oracle","tier":"cyberarmor-system-control-plane"}},"spec":{"containers":[{"name":"ca-oracle","image":"quay.io/armosec/k8s-ca-oracle-ubi:latest","args":["-alsologtostderr","-v=4","2\u003e\u00261"],"ports":[{"name":"ca-oracle","containerPort":4000,"protocol":"TCP"}],"env":[{"name":"CA_NAMESPACE","value":"XXXXXX","valueFrom":{"fieldRef":{"apiVersion":"v1","fieldPath":"metadata.namespace"}}},{"name":"CA_CLUSTER_NAME","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"clusterName"}}},{"name":"CA_CUSTOMER_GUID","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"customerGUID"}}},{"name":"CA_ORACLE_PORT","value":"XXXXXX"},{"name":"CA_NOTIFICATION_SERVER","value":"XXXXXX"},{"name":"CA_K8S_REPORT_URL","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverWS"}}}],"resources":{"limits":{"cpu":"100m","memory":"100Mi"},"requests":{"cpu":"10m","memory":"10Mi"}},"volumeMounts":[{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"ca-controller-service-account","serviceAccountName":"ca-controller-service-account","terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-22T11:39:12Z","lastUpdateTime":"2021-11-22T11:40:31Z","message":"ReplicaSet \"ca-oracle-54dfb75b4d\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T06:14:41Z","lastUpdateTime":"2021-12-13T06:14:41Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/cyberarmor-system/Deployment/ca-posture","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-22T11:39:11Z","generation":1,"labels":{"app":"ca-posture","tier":"cyberarmor-system-control-plane"},"name":"ca-posture","namespace":"cyberarmor-system","resourceVersion":"468662","uid":"338a96fd-6b05-47e6-8ce9-a4908fca7370"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"ca-posture"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"ca-posture","tier":"cyberarmor-system-control-plane"}},"spec":{"containers":[{"name":"ca-posture","image":"quay.io/armosec/k8s-ca-posture-ubi:latest","args":["-alsologtostderr","-v=4","2\u003e\u00261"],"ports":[{"name":"readiness-port","containerPort":8000,"protocol":"TCP"}],"env":[{"name":"CA_CLUSTER_NAME","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"clusterName"}}},{"name":"CA_CUSTOMER_GUID","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"customerGUID"}}},{"name":"CA_NOTIFICATION_SERVER","value":"XXXXXX"},{"name":"CA_K8S_REPORT_URL","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverWS"}}},{"name":"CA_EVENT_RECEIVER_HTTP","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"eventReceiverREST"}}},{"name":"CA_DASHBOARD_BACKEND","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"dashboard"}}}],"resources":{"limits":{"cpu":"500m","memory":"100Mi"},"requests":{"cpu":"100m","memory":"50Mi"}},"volumeMounts":[{"name":"ca-login","readOnly":true,"mountPath":"/etc/credentials"},{"name":"ca-posture-score-config","mountPath":"/resources/config"},{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"readinessProbe":{"httpGet":{"path":"/v1/readiness","port":"readiness-port","scheme":"HTTP"},"initialDelaySeconds":10,"timeoutSeconds":1,"periodSeconds":5,"successThreshold":1,"failureThreshold":3},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"ca-controller-service-account","serviceAccountName":"ca-controller-service-account","terminationGracePeriodSeconds":30,"volumes":[{"name":"ca-login","secret":{"defaultMode":420,"secretName":"ca-login"}},{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"},{"configMap":{"defaultMode":420,"items":[{"key":"resourcesdict.json","path":"resourcesdict.json"},{"key":"frameworkdict.json","path":"frameworkdict.json"}],"name":"ca-posture-score-config"},"name":"ca-posture-score-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-22T11:39:11Z","lastUpdateTime":"2021-11-22T11:40:41Z","message":"ReplicaSet \"ca-posture-67fcd64754\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T06:15:09Z","lastUpdateTime":"2021-12-13T06:15:09Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/cyberarmor-system/Deployment/ca-vuln-scan","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"1"},"creationTimestamp":"2021-11-22T11:39:09Z","generation":1,"labels":{"app":"ca-vuln-scan","tier":"cyberarmor-system-control-plane"},"name":"ca-vuln-scan","namespace":"cyberarmor-system","resourceVersion":"468545","uid":"a01c3e93-e828-42ad-b0c1-87350443fc13"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"ca-vuln-scan"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"ca-vuln-scan","tier":"cyberarmor-system-control-plane"}},"spec":{"containers":[{"name":"ca-vuln-scan","image":"quay.io/armosec/k8s-ca-vuln-scan-ubi:latest","args":["-alsologtostderr","-v=4","2\u003e\u00261"],"env":[{"name":"CA_CLUSTER_NAME","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"clusterName"}}},{"name":"CA_CUSTOMER_GUID","value":"XXXXXX","valueFrom":{"configMapKeyRef":{"name":"armo-be-config","key":"customerGUID"}}},{"name":"OCIMAGE_URL","value":"XXXXXX"},{"name":"EVENT_RECEIVER_URL","value":"XXXXXX"},{"name":"CA_EVENT_RECEIVER_HTTP","value":"XXXXXX"},{"name":"CA_MAX_VULN_SCAN_ROUTINS","value":"XXXXXX"}],"resources":{"limits":{"cpu":"1","memory":"1536Mi"},"requests":{"cpu":"500m","memory":"1Gi"}},"volumeMounts":[{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Always"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"ca-controller-service-account","serviceAccountName":"ca-controller-service-account","terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-22T11:39:09Z","lastUpdateTime":"2021-11-22T11:39:41Z","message":"ReplicaSet \"ca-vuln-scan-67bcccd874\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T06:14:37Z","lastUpdateTime":"2021-12-13T06:14:37Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":1,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}},{"resourceID":"apps/v1/cyberarmor-system/Deployment/ca-websocket","object":{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"4"},"creationTimestamp":"2021-11-22T11:39:08Z","generation":4,"labels":{"app":"ca-websocket","tier":"cyberarmor-system-control-plane"},"name":"ca-websocket","namespace":"cyberarmor-system","resourceVersion":"482753","uid":"db22dab5-22b4-4516-b5b3-b843353e1902"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"ca-websocket"}},"strategy":{"rollingUpdate":{"maxSurge":"25%","maxUnavailable":"25%"},"type":"RollingUpdate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"ca-websocket","tier":"cyberarmor-system-control-plane"}},"spec":{"containers":[{"name":"ca-websocket","image":"quay.io/armosec/k8s-ca-websocket-ubi:test","args":["-alsologtostderr","-v=4","2\u003e\u00261"],"ports":[{"name":"trigger-port","containerPort":4002,"protocol":"TCP"},{"name":"readiness-port","containerPort":8000,"protocol":"TCP"}],"env":[{"name":"CA_NAMESPACE","value":"XXXXXX","valueFrom":{"fieldRef":{"apiVersion":"v1","fieldPath":"metadata.namespace"}}},{"name":"CA_USE_DOCKER","value":"XXXXXX"},{"name":"CA_SYSTEM_MODE","value":"XXXXXX"},{"name":"CA_VULN_SCAN_SCHEDULE","value":"XXXXXX"},{"name":"CA_POSTURE_SCAN_SCHEDULE","value":"XXXXXX"},{"name":"CA_DEBUG_SIGNER","value":"XXXXXX"}],"resources":{"limits":{"cpu":"1500m","memory":"1000Mi"},"requests":{"cpu":"300m","memory":"200Mi"}},"volumeMounts":[{"name":"docker-socket-volume","mountPath":"/var/run/docker.sock"},{"name":"ca-login","readOnly":true,"mountPath":"/etc/credentials"},{"name":"armo-be-config","readOnly":true,"mountPath":"/etc/config"}],"readinessProbe":{"httpGet":{"path":"/v1/readiness","port":"readiness-port","scheme":"HTTP"},"initialDelaySeconds":10,"timeoutSeconds":1,"periodSeconds":5,"successThreshold":1,"failureThreshold":3},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","imagePullPolicy":"Never"}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"serviceAccount":"ca-controller-service-account","serviceAccountName":"ca-controller-service-account","terminationGracePeriodSeconds":30,"volumes":[{"hostPath":{"path":"/var/run/docker.sock","type":""},"name":"docker-socket-volume"},{"name":"ca-login","secret":{"defaultMode":420,"secretName":"ca-login"}},{"configMap":{"defaultMode":420,"items":[{"key":"clusterData","path":"clusterData.json"}],"name":"armo-be-config"},"name":"armo-be-config"}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2021-11-22T11:39:08Z","lastUpdateTime":"2021-11-24T16:43:43Z","message":"ReplicaSet \"ca-websocket-965ff5869\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"},{"lastTransitionTime":"2021-12-13T20:47:37Z","lastUpdateTime":"2021-12-13T20:47:37Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"}],"observedGeneration":4,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}}]`

func GetResourcesListMock() []reporthandling.Resource {
	resource := []reporthandling.Resource{}
	err := json.Unmarshal([]byte(ResourcesListMock), &resource)
	if err != nil {
		panic(err)
	}
	return resource
}

//nolint:gosec
var PostureReportMockPassedSingleResource = `{"customerGUID":"0343c0ee-22ab-4d90-8fbf-2a145a311b90","clusterName":"minikube","clusterAPIServerInfo":null,"clusterCloudProvider":"","reportID":"9001c1da-3840-4f9e-a7d3-65eda7faf2e3","jobID":"","generationTime":"2021-12-15T09:48:53.297828152Z","summaryDetails":{"frameworks":[{"score":100,"framework":"NSA"}],"controls":{"C-0045":{"score":100,"passedResources":1,"failedResources":0,"warningResources":0,"skippedResources":0,"status":"success"}}},"rbacObjects":{"ClusterRoles":null,"Roles":null,"ClusterRoleBindings":null,"RoleBindings":null,"Rbac":null,"RbacT":null},"resource":[{"resourceID":"/v1/kube-system/Pod/kube-apiserver-david-virtualbox","object":{"apiVersion":"v1","kind":"Pod","metadata":{"annotations":{"kubeadm.kubernetes.io/kube-apiserver.advertise-address.endpoint":"10.0.2.15:8443","kubernetes.io/config.hash":"3ca3df49606db9ca56feabb534c7ca1b","kubernetes.io/config.mirror":"3ca3df49606db9ca56feabb534c7ca1b","kubernetes.io/config.seen":"2021-11-18T10:32:33.974091617+02:00","kubernetes.io/config.source":"file","seccomp.security.alpha.kubernetes.io/pod":"runtime/default"},"creationTimestamp":"2021-11-18T08:32:47Z","labels":{"component":"kube-apiserver","tier":"control-plane"},"name":"kube-apiserver-david-virtualbox","namespace":"kube-system","ownerReferences":[{"apiVersion":"v1","controller":true,"kind":"Node","name":"david-virtualbox","uid":"69e6d94b-d5da-4f2e-8d22-b32c1e2788f0"}],"resourceVersion":"468395","uid":"19a8dd22-bc31-44c2-8e84-f4eb84ad8f9f"},"spec":{"containers":[{"command":["kube-apiserver","--advertise-address=10.0.2.15","--allow-privileged=true","--authorization-mode=Node,RBAC","--client-ca-file=/var/lib/minikube/certs/ca.crt","--enable-admission-plugins=NamespaceLifecycle,LimitRanger,ServiceAccount,DefaultStorageClass,DefaultTolerationSeconds,NodeRestriction,MutatingAdmissionWebhook,ValidatingAdmissionWebhook,ResourceQuota","--enable-bootstrap-token-auth=true","--etcd-cafile=/var/lib/minikube/certs/etcd/ca.crt","--etcd-certfile=/var/lib/minikube/certs/apiserver-etcd-client.crt","--etcd-keyfile=/var/lib/minikube/certs/apiserver-etcd-client.key","--etcd-servers=https://127.0.0.1:2379","--kubelet-client-certificate=/var/lib/minikube/certs/apiserver-kubelet-client.crt","--kubelet-client-key=/var/lib/minikube/certs/apiserver-kubelet-client.key","--kubelet-preferred-address-types=InternalIP,ExternalIP,Hostname","--proxy-client-cert-file=/var/lib/minikube/certs/front-proxy-client.crt","--proxy-client-key-file=/var/lib/minikube/certs/front-proxy-client.key","--requestheader-allowed-names=front-proxy-client","--requestheader-client-ca-file=/var/lib/minikube/certs/front-proxy-ca.crt","--requestheader-extra-headers-prefix=X-Remote-Extra-","--requestheader-group-headers=X-Remote-Group","--requestheader-username-headers=X-Remote-User","--secure-port=8443","--service-account-issuer=https://kubernetes.default.svc.cluster.local","--service-account-key-file=/var/lib/minikube/certs/sa.pub","--service-account-signing-key-file=/var/lib/minikube/certs/sa.key","--service-cluster-ip-range=10.96.0.0/12","--tls-cert-file=/var/lib/minikube/certs/apiserver.crt","--tls-private-key-file=/var/lib/minikube/certs/apiserver.key"],"image":"k8s.gcr.io/kube-apiserver:v1.22.2","imagePullPolicy":"IfNotPresent","livenessProbe":{"failureThreshold":8,"httpGet":{"host":"10.0.2.15","path":"/livez","port":8443,"scheme":"HTTPS"},"initialDelaySeconds":10,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":15},"name":"kube-apiserver","readinessProbe":{"failureThreshold":3,"httpGet":{"host":"10.0.2.15","path":"/readyz","port":8443,"scheme":"HTTPS"},"periodSeconds":1,"successThreshold":1,"timeoutSeconds":15},"resources":{"requests":{"cpu":"250m"}},"startupProbe":{"failureThreshold":24,"httpGet":{"host":"10.0.2.15","path":"/livez","port":8443,"scheme":"HTTPS"},"initialDelaySeconds":10,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":15},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","volumeMounts":[{"mountPath":"/etc/ssl/certs","name":"ca-certs","readOnly":true},{"mountPath":"/etc/ca-certificates","name":"etc-ca-certificates","readOnly":true},{"mountPath":"/etc/pki","name":"etc-pki","readOnly":true},{"mountPath":"/var/lib/minikube/certs","name":"k8s-certs","readOnly":true},{"mountPath":"/usr/local/share/ca-certificates","name":"usr-local-share-ca-certificates","readOnly":true},{"mountPath":"/usr/share/ca-certificates","name":"usr-share-ca-certificates","readOnly":true}]}],"dnsPolicy":"ClusterFirst","enableServiceLinks":true,"hostNetwork":true,"nodeName":"david-virtualbox","preemptionPolicy":"PreemptLowerPriority","priority":2000001000,"priorityClassName":"system-node-critical","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{"seccompProfile":{"type":"RuntimeDefault"}},"terminationGracePeriodSeconds":30,"tolerations":[{"effect":"NoExecute","operator":"Exists"}],"volumes":[{"hostPath":{"path":"/etc/ssl/certs","type":"DirectoryOrCreate"},"name":"ca-certs"},{"hostPath":{"path":"/etc/ca-certificates","type":"DirectoryOrCreate"},"name":"etc-ca-certificates"},{"hostPath":{"path":"/etc/pki","type":"DirectoryOrCreate"},"name":"etc-pki"},{"hostPath":{"path":"/var/lib/minikube/certs","type":"DirectoryOrCreate"},"name":"k8s-certs"},{"hostPath":{"path":"/usr/local/share/ca-certificates","type":"DirectoryOrCreate"},"name":"usr-local-share-ca-certificates"},{"hostPath":{"path":"/usr/share/ca-certificates","type":"DirectoryOrCreate"},"name":"usr-share-ca-certificates"}]},"status":{"conditions":[{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:10Z","status":"True","type":"Initialized"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:22Z","status":"True","type":"Ready"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:22Z","status":"True","type":"ContainersReady"},{"lastProbeTime":null,"lastTransitionTime":"2021-12-13T06:14:10Z","status":"True","type":"PodScheduled"}],"containerStatuses":[{"containerID":"docker://5ce1fc07c7d1e001ad5b73c2aa5654d0cc186da95052d9c46dc154821ad69e96","image":"k8s.gcr.io/kube-apiserver:v1.22.2","imageID":"docker-pullable://k8s.gcr.io/kube-apiserver@sha256:eb4fae890583e8d4449c1e18b097aec5574c25c8f0323369a2df871ffa146f41","lastState":{"terminated":{"containerID":"docker://c25a717dd76c103b839bc4f9c471bc79291acf8949daac9541b231c5dbeb25d2","exitCode":0,"finishedAt":"2021-12-13T06:10:57Z","reason":"Completed","startedAt":"2021-12-12T08:30:19Z"}},"name":"kube-apiserver","ready":true,"restartCount":8,"started":true,"state":{"running":{"startedAt":"2021-12-13T06:14:12Z"}}}],"hostIP":"10.0.2.15","phase":"Running","podIP":"10.0.2.15","podIPs":[{"ip":"10.0.2.15"}],"qosClass":"Burstable","startTime":"2021-12-13T06:14:10Z"}}}]}`

func GetPostureReportMockPassedSingleResource() *PostureReport {
	pr := &PostureReport{}
	err := json.Unmarshal([]byte(PostureReportMockPassedSingleResource), pr)
	if err != nil {
		panic(err)
	}
	return pr
}
